package csit254ch02classes;

/**
 * This class stores information about an instructor.
 *
 * @author Tony Gaddis (et al)
 */

public class Instructor {

    private String lastName, // Last name
            firstName, // First name
            officeNumber; // Office number

    /**
     * Constructor
     *
     * @param lname for the lastName field
     * @param fname for the firstName field
     * @param office for the officeNumber field
     */
    public Instructor(String lname, String fname,
            String office) {
        lastName = lname;
        firstName = fname;
        officeNumber = office;
    }

    /**
     * Copy constructor
     *
     * @param object2 the Instructor object to copy from
     */
    public Instructor(Instructor object2) {
        lastName = object2.lastName;
        firstName = object2.firstName;
        officeNumber = object2.officeNumber;
    }

    /**
     * The set method sets each field.
     *
     * @param lname for the lastName field
     * @param fname for the firstName field
     * @param office for the officeNumber field
     */
    public void set(String lname, String fname,
            String office) {
        lastName = lname;
        firstName = fname;
        officeNumber = office;
    }

    /**
     * The toString method returns a string containing the instructor
     * information.
     *
     * @return String representing the instructor information.
     */
    @Override
    public String toString() {
        // Create a string representing the object.
        String str = "Last Name: " + lastName
                + "\nFirst Name: " + firstName
                + "\nOffice Number: " + officeNumber;

        // Return the string.
        return str;
    }
}
