package csit254ch02classes;

/**
 * This class uses overloaded methods to return an employee's weekly salary.
 *
 * @author Tony Gaddis (et al)
 */
public class Pay {

    /**
     * The following method calculates the gross weekly pay of an hourly paid
     * employee (for this demo assuming no overtime).
     *
     * @param hours holds the hours worked
     * @param payRate holds the hourly pay rate
     * @return the weekly salary.
     */
    public static double getWeeklyPay(int hours, double payRate) {
        return hours * payRate;
    }

    /**
     * The following method overloads the getWeeklyPay method. It calculates the
     * gross weekly pay of a salaried employee.
     *
     * @param yearlySalary the employee's yearly salary
     * @return the weekly salary
     */
    public static double getWeeklyPay(double yearlySalary) {
        return yearlySalary / 52;
    }
}
