package csit254ch02classes;

/**
 * Trip class for TripCalculator pillaged 9/14/2008 version of TripCalculator
 *
 * @author Stephen Brower
 */
public class Trip {

    private double milesPerGallon;
    private double averageCostOfGas;
    private double totalMiles;

    /**
     * Constructor
     *
     * @param newMilesPerGallon value for milesPerGallon field
     * @param newAverageCostOfGas value for averageCostOfGas field
     * @param newTotalMiles value for totalMiles field
     */
    public Trip(double newMilesPerGallon, double newAverageCostOfGas,
            double newTotalMiles) {
        milesPerGallon = newMilesPerGallon;
        averageCostOfGas = newAverageCostOfGas;
        totalMiles = newTotalMiles;
    }

    /**
     * getMilesPerGallon method returns value in milesPerGallon field
     *
     * @return value in milesPerGallon field
     */
    public double getMilesPerGallon() {
        return milesPerGallon;
    }

    /**
     * getAverageCostOfGas method returns value in averageCostOfGas field
     *
     * @return value in averageCostOfGas field
     */
    public double getAverageCostOfGas() {
        return averageCostOfGas;
    }

    /**
     * getTotalMiles method returns value in totalMiles field
     *
     * @return value in totalMiles field
     */
    public double getTotalMiles() {
        return totalMiles;
    }

    /**
     * setMilesPerGallon method assigns new value for milesPerGallon field
     *
     * @param newMilesPerGallon value for milesPerGallon field
     */
    public void setMilesPerGallon(double newMilesPerGallon) {
        milesPerGallon = newMilesPerGallon;
    }

    /**
     * setAverageCostOfGas method assigns new value for averageCostOfGas field
     *
     * @param newAverageCostOfGas value for averageCostOfGas field
     */
    public void setAverageCostOfGas(double newAverageCostOfGas) {
        averageCostOfGas = newAverageCostOfGas;
    }

    /**
     * setTotalMiles method assigns new value for totalMiles field
     *
     * @param newTotalMiles value for totalMiles field
     */
    public void setTotalMiles(double newTotalMiles) {
        totalMiles = newTotalMiles;
    }

    /**
     * getEstimatedCost calculates and returns the estimated cost of the trip
     * based on totalMiles, milesPerGallon, and averageCostOfGas
     *
     * @return calculated estimated cost of trip
     */
    public double getEstimatedCost() {
        return totalMiles / milesPerGallon * averageCostOfGas;
    }

}
