package csit254ch02classes;

/**
 * Demo of Truck as a subclass of Vehicle Date Written: 7/17/2014
 *
 * @author Stephen Brower
 */

public class Truck extends Vehicle {

    private int cubicFeetStorage;

    /**
     * no-arg constructor
     */
    public Truck() {
        super("Mack", 1907);
        cubicFeetStorage = 200;
    }

    /**
     * Constructor
     *
     * @param newMake The value to store in make.
     * @param newYearModel The value to store in yearModel.
     * @param newCubicFeetStorage The value to store in cubicFeetStorage.
     */
    public Truck(String newMake, int newYearModel, int newCubicFeetStorage) {
        super(newMake, newYearModel);
        cubicFeetStorage = newCubicFeetStorage;
    }

    /**
     * toString method used to return a String representing this Truck
     *
     * @return a String representing this Truck
     */
    public String toString() {
        return "Truck: make:" + getMake() + " year:" + getYearModel() + " cu. ft.: " + cubicFeetStorage;
    }

    /**
     * The getCubicFeetStorage method returns a Truck's cubicFeetStorage
     *
     * @return The value in the cubicFeetStorage field.
     */
    public int getCubicFeetStorage() {
        return cubicFeetStorage;
    }

    /**
     * The setCubicFeetStorage method stores a value in the cubicFeetStorage
     * field.
     *
     * @param newCubicFeetStorage The value to store in cubicFeetStorage.
     */
    public void setCubicFeetStorage(int newCubicFeetStorage) {
        cubicFeetStorage = newCubicFeetStorage;
    }

}
